Add contact method
curl --request POST \
--url https://api.getmonitor.io/api/v1/members/contact-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Organization-Id: <x-organization-id>' \
--data '
{
"type": "webhook",
"config": {
"url": "https://example.com/hooks/oncall"
},
"isEnabled": false
}
'import requests
url = "https://api.getmonitor.io/api/v1/members/contact-methods"
payload = {
"type": "webhook",
"config": { "url": "https://example.com/hooks/oncall" },
"isEnabled": False
}
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Organization-Id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'webhook',
config: {url: 'https://example.com/hooks/oncall'},
isEnabled: false
})
};
fetch('https://api.getmonitor.io/api/v1/members/contact-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/members/contact-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'webhook',
'config' => [
'url' => 'https://example.com/hooks/oncall'
],
'isEnabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Organization-Id: <x-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/members/contact-methods"
payload := strings.NewReader("{\n \"type\": \"webhook\",\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n },\n \"isEnabled\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Organization-Id", "<x-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getmonitor.io/api/v1/members/contact-methods")
.header("X-Organization-Id", "<x-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"webhook\",\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n },\n \"isEnabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/members/contact-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Organization-Id"] = '<x-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"webhook\",\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n },\n \"isEnabled\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "dklb8nn9d9w80r1laoruny2h",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"type": "webhook",
"config": {
"url": "https://example.com/hooks/oncall"
},
"isEnabled": false,
"position": 0,
"createdAt": "2026-09-27T14:22:01.102Z",
"updatedAt": "2026-09-27T14:22:01.102Z"
}{
"message": [
"type must be one of the following values: email, sms, whatsapp, slack, discord, telegram, teams, webhook"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}Member Contact Methods
Add contact method
Authentication: User session only (the panel), with X-Organization-Id. API keys receive 401.
POST
/
api
/
v1
/
members
/
contact-methods
Add contact method
curl --request POST \
--url https://api.getmonitor.io/api/v1/members/contact-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Organization-Id: <x-organization-id>' \
--data '
{
"type": "webhook",
"config": {
"url": "https://example.com/hooks/oncall"
},
"isEnabled": false
}
'import requests
url = "https://api.getmonitor.io/api/v1/members/contact-methods"
payload = {
"type": "webhook",
"config": { "url": "https://example.com/hooks/oncall" },
"isEnabled": False
}
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Organization-Id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'webhook',
config: {url: 'https://example.com/hooks/oncall'},
isEnabled: false
})
};
fetch('https://api.getmonitor.io/api/v1/members/contact-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/members/contact-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'webhook',
'config' => [
'url' => 'https://example.com/hooks/oncall'
],
'isEnabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Organization-Id: <x-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/members/contact-methods"
payload := strings.NewReader("{\n \"type\": \"webhook\",\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n },\n \"isEnabled\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Organization-Id", "<x-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getmonitor.io/api/v1/members/contact-methods")
.header("X-Organization-Id", "<x-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"webhook\",\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n },\n \"isEnabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/members/contact-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Organization-Id"] = '<x-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"webhook\",\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n },\n \"isEnabled\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "dklb8nn9d9w80r1laoruny2h",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"type": "webhook",
"config": {
"url": "https://example.com/hooks/oncall"
},
"isEnabled": false,
"position": 0,
"createdAt": "2026-09-27T14:22:01.102Z",
"updatedAt": "2026-09-27T14:22:01.102Z"
}{
"message": [
"type must be one of the following values: email, sms, whatsapp, slack, discord, telegram, teams, webhook"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}Authorizations
Headers
Body
application/json